# H248_NotifyRequest Class Reference

`#include <h248.h>`

Inheritance diagram for H248_NotifyRequest:

List of all members.

## Public Types

enum | OptionalFields { e_errorDescriptor }

## Public Member Functions

| H248_NotifyRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_TerminationIDList | m_terminationID
H248_ObservedEventsDescriptor | m_observedEventsDescriptor
H248_ErrorDescriptor | m_errorDescriptor

## Member Enumeration Documentation

enum H248_NotifyRequest::OptionalFields

Enumerator:

  e_errorDescriptor |

## Constructor & Destructor Documentation

H248_NotifyRequest::H248_NotifyRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_NotifyRequest::GetDataLength | ( |  | ) | const

PBoolean H248_NotifyRequest::Decode | ( | PASN_Stream & | strm | ) |

void H248_NotifyRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H248_NotifyRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_NotifyRequest::Compare | ( | const PObject & | obj | ) | const

PObject* H248_NotifyRequest::Clone | ( |  | ) | const

## Member Data Documentation

H248_TerminationIDList H248_NotifyRequest::m_terminationID

H248_ObservedEventsDescriptor H248_NotifyRequest::m_observedEventsDescriptor

H248_ErrorDescriptor H248_NotifyRequest::m_errorDescriptor

The documentation for this class was generated from the following file:

- h248.h